from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.uno import XInterface

@runtime_checkable
class XChartShape(XInterface, Protocol):
    def getPosition(self) -> Point: ...
    def setPosition(self, aPosition: Point) -> None: ...
    def getSize(self) -> Size: ...
    def getShapeType(self) -> str: ...
